[Openmcl-devel] Incompatibility with Xcode 4?

Ben Hyde bhyde at pobox.com
Wed Mar 16 11:54:51 UTC 2011


On Mar 16, 2011, at 5:49 AM, Tim Bradshaw wrote:
>> and I don't think this is
>> unreasonable for a 4.5GB download.
>
> Agree with that.

I don't.   I am cursed!   My sin?  I helped build a 3rd party  
developer network, twice!

The entire purpose of a developer tool kit is to entice talented  
developers to add value to your platform.  Creating barriers to that  
is insane.

Vendors charge for access to their developer tools for one of three  
reasons.

The stupid reason:  the CEO is an idiot and he thinks developer tools  
should be a profit center rather than a marketing expense.

The over clever reasons.   It's like paying to get into the boat show  
or the home improvement show.  Marks that paid to get in are more  
likely to browse the aisles and look at all the pretty APIs.  Managers  
of developer networks dream of 3rd party developer reading the API  
doc; and the managers of those managers would give bonuses on that  
metric if they only could.

The slightly credible reason.  A very low cost helps to suppress the  
denial of service triggered when everybody's yahoo pushes the download  
button.

Since the App store makes it so easy for people to download, or at  
least that's the intent, that I suspect they put a price on it to  
reduce the number of innocent users who might download it by mistake.

... the curse can make you cynical.

  - ben



More information about the Openmcl-devel mailing list